gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Information about measurement units on objects.
- Field
  2.12.0.0
  System.String The abbreviations for this metric's units: "Pi" for pixels, "In" for inches, "Cn" for centimeters. "Cn" isn't a typo; that's how it's defined in Gtk+. See bugzilla.gnome.org bug 151944.
- Field
  2.12.0.0
  System.String The name of the units this ruler measures: one of Pixels, Inches, or Centimeters.
- Method
  2.12.0.0
  Gtk.RulerMetric `` A , pointer to the underlying C object. Default constructor. A For internal use only.
- Field
  2.12.0.0
  System.Double The conversion factor between pixels and the given unit for the ruler.
- Field
  2.12.0.0
  System.Double[] An array of possible scales for the ruler, dependent on the units chosen.
- Field
  2.12.0.0
  System.Int32[] How many sub-units to break up each ruler unit into.
- Field
  2.12.0.0
  Gtk.RulerMetric An empty/default RulerMetric.